Skip to main content
POST
/
v2
/
accounting-entries:enrich
Enrich Accounting Entry V2
curl --request POST \
  --url https://external.pleo.io/v2/accounting-entries:enrich \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "receipts": [
    "JVBERi0xLjQKJeLjz9MKMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwo+PgplbmRvYmoK",
    "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg=="
  ],
  "tags": [
    "ef6f10a1-e608-418b-99f1-08150a9ae129",
    "c111b173-d9da-4117-ab70-8f4b8acf496d"
  ]
}
'
{
  "data": {
    "receiptStatus": "ADDED_TO_RECEIPT_INBOX"
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>

Query Parameters

email
string

Email address of the Pleo user who made the purchase. Used as an optional matching parameter.

performed_at
string

ISO 8601 timestamp of when the purchase was authorised (i.e. when the transaction happened). Either performed_at or settled_at must be provided.

settled_at
string

ISO 8601 timestamp of when the purchase was settled (i.e. when the funds were transferred). Either performed_at or settled_at must be provided.

amount
integer<int64>
required

Transaction amount in minor units (e.g. 1500 represents €15.00).

currency
string
required

ISO 4217 currency code of the transaction (e.g. EUR, GBP, DKK).

card_last_four_digits
string
required

Last four digits of the Pleo card used for the transaction. Used as a matching parameter to identify the correct accounting entry.

merchant_name
string
required

Name of the merchant as it appears on the transaction.

Body

application/json

Request body containing receipts and optional tags

receipts
string[]
required

List of Base64 encoded ByteArray as string

Example:
[
"JVBERi0xLjQKJeLjz9MKMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwo+PgplbmRvYmoK",
"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg=="
]
tags
string<uuid>[]

List of Tags in UUID format

Example:
[
"ef6f10a1-e608-418b-99f1-08150a9ae129",
"c111b173-d9da-4117-ab70-8f4b8acf496d"
]

Response

No matching accounting entry found. The receipt has been stored in the Receipt Inbox for manual resolution.

data
object

The result of an enrichment request.